Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.kernel.spi.deployment
Interface KernelDeployment

All Superinterfaces:
  Cloneable, org.jboss.util.JBossInterface

All Known Implementing Classes:
  AbstractKernelDeployment

public interface KernelDeployment
extends org.jboss.util.JBossInterface

A kernel deployment.

Version:
  $Revision: 1.4 $
Author:
  Adrian Brock

Method Summary
`void` | `addInstalledContext(KernelControllerContext context)` Add an installed context
`List` | `getBeans()` Get the beans in the deployment
`ClassLoaderMetaData` | `getClassLoader()` Get the classloader for this deployment
`List` | `getInstalledContexts()` Get the installed contexts
`String` | `getName()` Get the name of the deployment
`boolean` | `isInstalled()` Whether the deployment is installed
`void` | `removeInstalledContext(KernelControllerContext context)` Remove an installed context
`void` | `setInstalled(boolean installed)` Set the intalled state
`void` | `setName(String name)` Set the name of the deployment

Methods inherited from interface org.jboss.util.JBossInterface
`clone, toShortString, toShortString`

Method Detail

### getName

    public String getName()

  Get the name of the deployment

  Returns:
    the name

### setName

    public void setName(String name)

  Set the name of the deployment

  Parameters:
    `name` - the name

### isInstalled

    public boolean isInstalled()

  Whether the deployment is installed

  Returns:
    true when installed

### setInstalled

    public void setInstalled(boolean installed)

  Set the intalled state

  Parameters:
    `installed` - true when installed

### getClassLoader

    public ClassLoaderMetaData getClassLoader()

  Get the classloader for this deployment

  Returns:
    the classloader

### getBeans

    public List getBeans()

  Get the beans in the deployment

  Returns:
    List

### getInstalledContexts

    public List getInstalledContexts()

  Get the installed contexts

  Returns:
    the installed contexts

### addInstalledContext

    public void addInstalledContext(KernelControllerContext context)

  Add an installed context

  Parameters:
    `context` - the context to add

### removeInstalledContext

    public void removeInstalledContext(KernelControllerContext context)

  Remove an installed context

  Parameters:
    `context` - the context to add

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 JBoss Inc. All Rights Reserved.